cordova.define("jp.jajajajan.plugin.keyboard", function(require, exports, module) { var argscheck = require('cordova/argscheck'),
    utils = require('cordova/utils'),
    exec = require('cordova/exec');

var InterstitialAd = function() {
};

InterstitialAd.showInterstitial = function() {
  exec(null, null, "InterstitialAd", "showInterstitial", []);
};

InterstitialAd.hideInterstitial = function() {
  exec(null, null, "InterstitialAd", "hideInterstitial", []);
};

InterstitialAd.adSizes = {
  BANNER:      [320, 50],
  LEADERBOARD: [728, 90]
};

InterstitialAd.createBanner = function(adId, $scope) {
  if (InterstitialAd.created) { return }

  if (Math.max(window.innerWidth, window.innerHeight, 320) >= 728) {
    document.body.className = document.body.className + ' admob-size-leaderboard';
    InterstitialAd.adSize = 'LEADERBOARD';
  } else {
    document.body.className = document.body.className + ' admob-size-banner';
    InterstitialAd.adSize = 'BANNER';
  }

  document.addEventListener('webkitvisibilitychange', function(event) {
    if (event.target.webkitHidden) {
      // videoBannerの非表示設定をリセット
      localStorage.removeItem('disable-video-banner');
    }
  });

  // AdMobバナーロード時
  document.addEventListener('onAdLoaded', function() {
    // homeBannerが有効なら
    if ($scope.admobHomeBannerEnabled && $scope.currentLayer == 'cover') {
      InterstitialAd.showHomeBanner(function() {
        $scope.homeBannerIsVisible = true;
      });
    }

    // videoBannerが有効なら
    if ($scope.admobVideoBannerEnabled && $scope.currentLayer == 'video') {
      InterstitialAd.showVideoBanner(function() {
        $scope.videoBannerIsVisible = true;
      });
    }
  });

  AdMob.createBanner({
    adId: adId,
    autoShow: false,
    adSize: InterstitialAd.adSize,
    overlap: true
  });
  InterstitialAd.created = true;
};

InterstitialAd.showHomeBanner = function(callback, failback) {
  if (!InterstitialAd.created) { return }
  AdMob.showBanner(AdMob.AD_POSITION.BOTTOM_CENTER, callback, failback);
};

InterstitialAd.hideHomeBanner = function(callback, failback) {
  if (!InterstitialAd.created) { return }
  AdMob.showBannerAtXY(0, -200, callback, failback);
};

InterstitialAd.showVideoBanner = function(callback, failback) {
  if (!InterstitialAd.created) { return }
  if (localStorage.getItem('disable-video-banner')) {
    return;
  }
  AdMob.showBanner(AdMob.AD_POSITION.TOP_CENTER, callback, failback);
};

InterstitialAd.hideVideoBanner = function(callback, failback) {
  if (!InterstitialAd.created) { return }
  AdMob.showBannerAtXY(0, -200, callback, failback);
};

/**
 * 閉じるボタンが押されたとき
 */
InterstitialAd.closeHomeBanner = function(callback, failback) {
  this.hideHomeBanner(callback, failback);
};
InterstitialAd.closeVideoBanner = function(callback, failback) {
  localStorage.setItem('disable-video-banner', true);
  this.hideVideoBanner(callback, failback);
};

module.exports = InterstitialAd;

});
